Subject: Is this correct behavior?

From: Kare Presttun <[email-masked]>
Date: Tue, 26 Nov 2002 16:27:28 +0100

Dear list readers!

I decided to dig into a mail bouncing problem and found
some behavior of two of the .no ccTLD servers that made
me wonder what is correct. Otlined below:

 From time to time I get a notice that a mail to me has bounced with
a notice saying:
 > -----Opprinnelig melding-----
 > Fra: [email-masked]
[mailto:[email-masked]]
 > Sendt: 21. november 2002 00:26
 > Til: < address deleted by me>
 > Emne: Undeliverable Mail
 >
 > Unknown host: [email-masked]
 >

Or like this one from Securityfocus:

<[email-masked]>: Name service error for mail.securityfocus.com:
Host not    found, try again

\--45AD4A3131.1036699892/outgoing.securityfocus.com

So I decided to dig into it. Using the Squish service at:
http://www.squish.net/dnscheck/ I get error messages on
two of the .no nameservers (Outsourced to UltraDNS
who bought the customers from Nominum) namely
not.norid.no and njet.norid.no. Asking one of the gtld
servers for my domain I get:

; <<>> DiG 9.2.1 <<>> @i.gtld-SERVERS.NET presttun.org mx
;; global options:  printcmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 41
;; flags: qr rd; QUERY: 1, ANSWER: 0, AUTHORITY: 3, ADDITIONAL: 1

;; QUESTION SECTION:
;presttun.org.                  IN      MX

;; AUTHORITY SECTION:
presttun.org.           172800  IN      NS      NS2.NEXTRA.NO.
presttun.org.           172800  IN      NS      SID.NIMROD.NO.
presttun.org.           172800  IN      NS      THREE.PSEUDOSPACE.COM.

;; ADDITIONAL SECTION:
THREE.PSEUDOSPACE.COM.  172800  IN      A       209.51.13.174

;; Query time: 406 msec
;; SERVER: 192.43.172.30#53(i.gtld-SERVERS.NET)
;; WHEN: Mon Nov 25 12:31:11 2002
;; MSG SIZE  rcvd: 133

So far everything looks fine. So asking one of the .no
servers to resolve the .no DNS servers for me I get:

; <<>> DiG 9.2.1 <<>> @nac.no sid.nimrod.no
;; global options:  printcmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 41
;; flags: qr rd; QUERY: 1, ANSWER: 0, AUTHORITY: 3, ADDITIONAL: 3

;; QUESTION SECTION:
;sid.nimrod.no.                 IN      A

;; AUTHORITY SECTION:
nimrod.no.              86400   IN      NS      nn.uninett.no.
nimrod.no.              86400   IN      NS      sid.nimrod.no.
nimrod.no.              86400   IN      NS      desoto.nimrod.no.

;; ADDITIONAL SECTION:
nn.uninett.no.          3600    IN      A       158.38.0.181
sid.nimrod.no.          75029   IN      A       195.139.160.2
desoto.nimrod.no.       75029   IN      A       195.139.160.6

;; Query time: 515 msec
;; SERVER: 129.240.2.40#53(nac.no)
;; WHEN: Mon Nov 25 12:39:32 2002
;; MSG SIZE  rcvd: 139

Once again it looks fine. Asking the same question to ether not or
njet.norid.no I get:

; <<>> DiG 9.2.1 <<>> @njet.norid.no sid.nimrod.no
;; global options:  printcmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 41
;; flags: qr rd; QUERY: 1, ANSWER: 1, AUTHORITY: 3, ADDITIONAL: 2

;; QUESTION SECTION:
;sid.nimrod.no.                 IN      A

;; ANSWER SECTION:
sid.nimrod.no.          86400   IN      A       195.139.160.2

;; AUTHORITY SECTION:
nimrod.no.              86400   IN      NS      sid.nimrod.no.
nimrod.no.              86400   IN      NS      nn.uninett.no.
nimrod.no.              86400   IN      NS      desoto.nimrod.no.

;; ADDITIONAL SECTION:
nn.uninett.no.          86400   IN      A       158.38.0.181
desoto.nimrod.no.       86400   IN      A       195.139.160.6

;; Query time: 390 msec
;; SERVER: 198.133.199.105#53(njet.norid.no)
;; WHEN: Mon Nov 25 12:46:18 2002
;; MSG SIZE  rcvd: 139

Where the the server I'm asking for is in the answer section
(without being AA) but not in the additional section.

Reading 1034, end of 4.2.1: "To fix this problem, a zone contains
"glue" RRs which are not part of the authoritative data, and are
address RRs for the servers. These RRs are only necessary if the
name server's name is "below" the cut, and are only used as part
of a referral response.". It seems to be correct but it also seems
to be the reason for dropped mail.

So is this correct behavior? Thanks in advance.

Med vennlig hilsen | Best regards,
Kåre Presttun
Tel.: +47 4100 4908
mailto:[email-masked]
http://www.presttun.org/kare/ 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>